Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730228 - dev-python/grpcio fails to compile
Summary: dev-python/grpcio fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL: https://github.com/grpc/grpc/pull/26480
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2020-06-30 11:06 UTC by Agostino Sarubbo
Modified: 2021-06-15 02:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,79.45 KB, text/plain)
2020-06-30 11:06 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-30 11:06:34 UTC
@@This is an auto-filed bug@@
Feel free to change the summary at your convenience.

Issue: dev-python/grpcio fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please mention it in the summary and block bug 408963. If you need further logs, feel free to ask.
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-30 11:06:39 UTC
Created attachment 647186 [details]
build.log

build log and emerge --info
Comment 2 Georgy Yakovlev gentoo-dev 2020-08-14 05:28:50 UTC
error: invalid argument '-std=gnu99' not allowed with 'C++'


clang is a bit stricter about passing C flags to C++ compiler.
gcc just emits warnings.

will take a look.
Comment 3 Kobboi 2021-04-28 21:48:18 UTC
Same error here with gcc-11
Comment 4 Kobboi 2021-04-28 21:50:16 UTC
And compiles fine with gcc-10.3
Comment 5 Kobboi 2021-04-28 21:51:01 UTC
Can someone add this to the gcc-11 blocker?
Comment 6 Georgy Yakovlev gentoo-dev 2021-06-15 02:19:17 UTC
this should be fixed in 1.38.0 already

https://github.com/grpc/grpc/commit/05ae3c5a87ba1037bd4c7a94e6b574c8df847065


can someone check please?
Comment 7 Georgy Yakovlev gentoo-dev 2021-06-15 02:23:26 UTC
actually seems to be still failing.
Comment 8 Larry the Git Cow gentoo-dev 2021-06-15 02:50:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a275799528a1109e58d7191ead0959a8a570cd7a

commit a275799528a1109e58d7191ead0959a8a570cd7a
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2021-06-15 02:49:59 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2021-06-15 02:50:43 +0000

    dev-python/grpcio: don't pass gnu99 to cxx
    
    Closes: https://bugs.gentoo.org/730228
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 .../grpcio/files/1.37.1-cc-flag-test-fix.patch     | 26 ++++++++++++++++
 dev-python/grpcio/files/1.37.1-cxx-no-gnu99.patch  | 35 ++++++++++++++++++++++
 dev-python/grpcio/grpcio-1.37.1.ebuild             |  5 ++++
 dev-python/grpcio/grpcio-1.38.0.ebuild             |  2 ++
 4 files changed, 68 insertions(+)